Bug 852199 - (CVE-2012-3538) CVE-2012-3538 katello: pulp admin password logged in plaintext in world-readable katello/production.log
CVE-2012-3538 katello: pulp admin password logged in plaintext in world-reada...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20121204,repor...
: Security
Depends On: 852162 852200
Blocks: 836071 852201
  Show dependency treegraph
 
Reported: 2012-08-27 16:23 EDT by Kurt Seifried
Modified: 2014-05-28 02:07 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-14 14:24:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kurt Seifried 2012-08-27 16:23:01 EDT
James Laska (jlaska@redhat.com) found the following vulnerability:

Description of problem:

The production.log is world readable ...
> # ll /var/log/katello/production.log 
> -rw-r--r--. 1 katello katello 38128 Aug 27 13:56 /var/log/katello/production.log

While importing a manifest, I noticed the pulp admin password is available in plaintext in the production.log ...

> [DEBUG: 2012-08-27 13:20:08 #28453] Processing response: 200
> [DEBUG: 2012-08-27 13:20:08 #28453] Resource GET request: /pulp/api/users/admin/
> [DEBUG: 2012-08-27 13:20:08 #28453] Processing response: 200
> [DEBUG: 2012-08-27 13:20:08 #28453] Resource POST request: /pulp/api/users/, {"name":"hidden-HkmUvo","login":"hidden-HkmUvo","password":"kRez49MC87ihOXCk"}
> [DEBUG: 2012-08-27 13:20:08 #28453] Processing response: 201
> [DEBUG: 2012-08-27 13:20:08 #28453] Resource POST request: /pulp/api/roles/super-users//add/, {"username":"hidden-HkmUvo"}
> [DEBUG: 2012-08-27 13:20:08 #28453] Processing response: 200
> [DEBUG: 2012-08-27 13:20:08 #28453] Resource GET request: /pulp/api/users/hidden-HkmUvo/
> [DEBUG: 2012-08-27 13:20:09 #28453] Processing response: 200
> [DEBUG: 2012-08-27 13:20:09 #28453] Creating an owner in candlepin: ACME_Corporation
> [DEBUG: 2012-08-27 13:20:09 #28453] Resource POST request: /candlepin/owners/, {"contentPrefix":"/ACME_Corporation/$env","displayName":"ACME_Corporation","key":"ACME_Corporation"}
> [DEBUG: 2012-08-27 13:20:09 #28453] Processing response: 200
> [ INFO: 2012-08-27 13:20:09 #28453] Creating an environment in candlepin: Library


Version-Release number of selected component (if applicable):
 * candlepin-0.6.5-1.el6_2.src.rpm
 * katello-0.1.320-1.el6cf.src.rpm
 * katello-candlepin-cert-key-pair-1.0-1.src.rpm
 * katello-certs-tools-1.0.7-1.el6_3.src.rpm
 * katello-cli-0.1.112-1.el6cf.src.rpm
 * katello-configure-0.1.111-1.el6cf.src.rpm
 * katello-qpid-broker-key-pair-1.0-1.src.rpm
 * katello-qpid-client-key-pair-1.0-1.src.rpm
 * katello-selinux-0.1.10-1.el6.src.rpm
 * pulp-1.0.4-1.el6.src.rpm

How reproducible:


Steps to Reproduce:
1. Install katello
2. Run katello-configure to prepare system
3. Import a valid manifest
  
Actual results:

 * Pulp admin password is available in a world-readable log file


Expected results:

 * The admin password isn't posted to the log
Comment 2 Murray McAllister 2012-12-03 01:19:06 EST
Acknowledgements:

This issue was discovered by James Laska of Red Hat.
Comment 3 errata-xmlrpc 2012-12-04 14:51:58 EST
This issue has been addressed in following products:

  CloudForms for RHEL 6
  CloudForms Tools for RHEL 5

Via RHSA-2012:1543 https://rhn.redhat.com/errata/RHSA-2012-1543.html

Note You need to log in before you can comment on or make changes to this bug.